Bug 1242367 - with Management SSL on, 'gluster volume create' crashes glusterd
Summary: with Management SSL on, 'gluster volume create' crashes glusterd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Bug Updates Notification Mailing List
QA Contact: krishnaram Karthick
URL:
Whiteboard:
Depends On: 1241785 1242570 1243768
Blocks: 1202842 1213357
TreeView+ depends on / blocked
 
Reported: 2015-07-13 08:04 UTC by krishnaram Karthick
Modified: 2016-09-17 14:36 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.7.1-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 05:11:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description krishnaram Karthick 2015-07-13 08:04:05 UTC
Description of problem:

with management SSL enabled, gluster volume create crashes. 

Version-Release number of selected component (if applicable):

 - glusterfs-server-3.7.1-9.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have few gluster volumes already on the system
2. stop glusterd service
3. enable management ssl. touch /var/lib/glusterd/secure-access
4. start glusterd service
5. create gluster volume - 'gluster volume create'

Actual results:
glusterd crashses

Expected results:
gluster volume should be created

Additional info:

Comment 4 Vijay Bellur 2015-07-13 14:34:33 UTC
Need appropriate permissions to access all sosreports. Vishwanath, Karthick can you please fix that? Thanks.

Comment 5 M S Vishwanath Bhat 2015-07-13 15:23:03 UTC
I have added the read permission. Can you please check once now?

Comment 6 krishnaram Karthick 2015-07-13 16:53:08 UTC
Logs should be accessible now.

Comment 11 krishnaram Karthick 2015-07-18 16:13:04 UTC
Bug has been verified with build - glusterfs-3.7.1-10.el7rhgs.x86_64

following are the steps performed to verify the bug

1. Have few gluster volumes configured
2. stop glusterd service
3. enable management ssl on all gluster nodes and clients. touch /var/lib/glusterd/secure-access
4. start glusterd service
5. create new gluster volumes
6. enable SSL
7. Mount newly created volume and run IO

Note: Before starting glusterd service, if all existing sockets between clients and glusterd aren't closed we hit - 1244415

Comment 12 errata-xmlrpc 2015-07-29 05:11:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.